
import "Delone.MountSlots";

mountslots = pagedSlotsWindow();

ms1Command = Turbine.ShellCommand();

function ms1Command:Execute( command, arguments )
	if ( arguments == "s" ) then
		mountslots:SetVisible( true );
	elseif ( arguments == "h" ) then
		mountslots:SetVisible( false );
	elseif ( arguments == "t" ) then
		mountslots:SetVisible( not mountslots:IsVisible() );
	elseif ( arguments ~= nil ) then
		ms1Command:GetHelp();
	end
end

function ms1Command:GetHelp()
	Turbine.Shell.WriteLine( "\nMount Slots\n\nms1 s: Show the MountSlots");
	Turbine.Shell.WriteLine( "ms1 h: Hides the MountSlots");
	Turbine.Shell.WriteLine( "ms1 t: Toggle the MountSlots");
end

Turbine.Shell.AddCommand( "ms1", ms1Command );

